
  
  /* Hide Hamburger on bigger screen */
  #hamnav label, #hamburger { display: none; }
  
  /* Horizontal Menu Items */
  #hamitems { display: none; }
  #hamitems a {
    width: 20%; /* 100% / 5 tabs = 20% */
    padding: 10px;
    color: whitesmoke;
    text-decoration: none;
    text-align: center;
  }
  #hamitems a:hover {
    background: indianred;
  }
  
  /* [ON SMALL SCREENS] */
  @media screen and (max-width: 60rem){
    /* Show Hamburger Icon */
    #hamnav label { 
      display: inline-block; 
      color: whitesmoke;
      background: indianred;
      font-style: normal;
      font-size: 1.2em;
      padding: 10px;
    }
  
    /* Break down menu items into vertical */
    #hamitems a {
      box-sizing: border-box;
      display: block;
      width: 100%;
      border-top: 1px solid #333;
    }
  
    /* Toggle Show/Hide Menu */
    #hamitems { display: none; }
    .navbar-links {display: none;}

    #hamnav input:checked ~ #hamitems { display: block; }
  }
  



/* make scrolling smooth */

html {
    scroll-behavior: smooth;
}

/* 
 get rid of padding & sizing on body so
 header is at top
*/

body {
    box-sizing: border-box;
    padding: 0;
    margin: 0;

}

/* add some padding back to rest of page */

main {
    padding: 2vw;
}

/* navbar */

.navbar {
    background-color: #333;
    color: whitesmoke;
    display: flex;
    flex-direction: column;
    font-size: 1.5rem;
    margin-bottom: 1rem;
    padding: 1rem;
}

/* logo */
.logo {
    display: flex;
    align-items: center;
}

.logo img {
    height: 6vw;
    width: 6vw;
    padding-right: 1rem;
}

.logo h1 {
    font-size: 1.2em;
    padding-left: 1rem;
   
}


/* navigation list */
.navbar-links li {
    list-style: none;
    display: block;
    padding: 0.5em 0;
}



/*  
 style all a tags in header 
 and then on hover
*/

.navbar-links a {
    color: whitesmoke;
    background-color: #333;
    font-size: 2rem;
    padding: 1rem 1.25rem;
    letter-spacing: 2px;
    text-decoration: none;
    display: inline-block;
}

.navbar-links a:hover,
.navbar-links a:focus {
    filter: invert(1);
    border-radius: 10px;
    outline: none;
}



/* 
media query for non-mobile nav bar
min-width set to width of nav elements 
such that no text wraps 
*/

@media screen and (min-width: 60rem) {
   
    .navbar {
        flex-direction: row;
        justify-content: space-between;
    }
    .navbar ul {
        display: flex;
        justify-content: space-between;
    }
}